package colors

import "image/color"

// These colors are based on the '700' shade of the material UI color palette.
// There is a package for it here: https://pkg.go.dev/golang.org/x/exp/shiny@v0.0.0-20250128182459-e0ece0dbea4c/materialdesign/colornames
var (
	Red        = color.NRGBA{211, 47, 47, 255}
	Pink       = color.NRGBA{194, 24, 91, 255}
	Purple     = color.NRGBA{123, 31, 162, 255}
	DeepPurple = color.NRGBA{81, 45, 168, 255}
	Indigo     = color.NRGBA{48, 63, 159, 255}
	Blue       = color.NRGBA{25, 118, 210, 255}
	LightBlue  = color.NRGBA{2, 136, 209, 255}
	Cyan       = color.NRGBA{0, 151, 167, 255}
	Teal       = color.NRGBA{0, 121, 107, 255}
	Green      = color.NRGBA{56, 142, 60, 255}
	LightGreen = color.NRGBA{104, 159, 56, 255}
	Lime       = color.NRGBA{175, 180, 43, 255}
	Yellow     = color.NRGBA{251, 192, 45, 255}
	Amber      = color.NRGBA{255, 160, 0, 255}
	Orange     = color.NRGBA{245, 124, 0, 255}
	DeepOrange = color.NRGBA{230, 74, 25, 255}
	Brown      = color.NRGBA{93, 64, 55, 255}
	Grey       = color.NRGBA{97, 97, 97, 255}
	BlueGrey   = color.NRGBA{69, 90, 100, 255}
	Black      = color.NRGBA{0, 0, 0, 255}
	White      = color.NRGBA{255, 255, 255, 255}
)
